Status of the binNMU unsafe packages

Back in July, I started reporting bugs against binNMU unsafe packages. All reports include a patch, to ease the work of the maintainer.

During the last 8 months 58 bugs were closed and 19 more and still open. Resulting in an almost empty page for Lintian’s not-binnmuable-any-depends-any tag. The not-binnmuable-any-depends-all and not-binnmuable-all-depends-any aren’t that fare behind.

We still have 572 packages which use the old style substvar (“${Source-Version}”). As this is used with arch-dep only packages, they are still binNMU safe, as all the packages get the version number increased, so nothing breaks. See Lintain’s substvar-source-version-is-deprecated tag for more info.

The numbers above might change a bit due to extending the binNMU checks, but I don’t expect them to change too much.

Leave a comment

Filed under Debian GNU/Linux, QA stuff

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s